

# ݍp


# Tvf[^̍쐬
d8 <- data.frame(
  beer = c(4, 3, 5, 5, 8, 7, 4, 4, 2, 3),
  temperature = c(1, 2, 3, 4, 5, 1, 2, 3, 4, 5),
  weather = c(rep("fine", 5), rep("rain", 5))
)
d8

# f[^𐰂ƉJɕ
dataFine <- subset(d8, d8$weather=="fine")
dataRain <- subset(d8, d8$weather=="rain")

# Sf[^܂Ƃ߂̂ƁAEJʂ̃f[^ŃfO
modelSingle <- lm(beer ~ temperature, data=d8)
modelFine <- lm(beer ~ temperature, data=dataFine)
modelRain <- lm(beer ~ temperature, data=dataRain)

modelSingle$coef
modelFine$coef
modelRain$coef

# ݍpꂽf
modelInteraction <- lm(beer ~ temperature * weather, data=d8)

# ǂ̂ł
lm(beer ~ temperature + weather + temperature:weather, data=d8)
lm(beer ~ (temperature + weather)^2, data=d8)
lm(beer ~ (.)^2, data=d8)

# ݍpꂽf̌W
modelInteraction$coef


# 
anova(modelInteraction)
library(car)
Anova(modelInteraction)

Anova(modelInteraction, type="III")


# ʂ̐}
predDataFine <- data.frame(temperature=1:5, weather="fine")
predDataRain <- data.frame(temperature=1:5, weather="rain")

predFine <- predict(modelInteraction, predDataFine)
predRain <- predict(modelInteraction, predDataRain)


# }
temperaturePlot <- 1:5
plot(
  beer ~ temperature, data=d8,
  pch=c(1, 16)[d8$weather],
  main="VCʃr[̔グOt"
)
lines(predFine ~ temperaturePlot, lwd=2)
lines(predRain ~ temperaturePlot, lwd=2, lty=2)
legend(
  "top", pch=c(1, 16), lty=c(1, 2),
  legend=c("", "J")
)





