

# \̌

# \}V[g
yosokuMachine <- data.frame(
  prediction = rep(c("happen", "no"), 2),
  earthquake = rep(c("happen", "no"), each=2),
  Freq = c(30, 10, 180, 180)
)
yosokuMachine

# \`ɕϊ
yosokuMachineTable <- xtabs(Freq ~., yosokuMachine)
yosokuMachineTable 

# 
chisq.test(yosokuMachineTable, correct=F)




# \}V[
sugoiMachine <- data.frame(
  prediction = rep(c("happen", "no"), 2),
  earthquake = rep(c("happen", "no"), each=2),
  Freq = c(30, 10, 15, 385)
)
sugoiMachine

# \`ɕϊ
sugoiMachineTable <- xtabs(Freq ~., sugoiMachine)
sugoiMachineTable

# ΐ`f̍쐬Bf[^data.frame`̂̂gƂɒ
modelSugoiMachine <- glm(
  Freq ~ (.)^2, data=sugoiMachine, family="poisson"
)

# W
exp(modelSugoiMachine$coef)

# 
library(car)
Anova(modelSugoiMachine, type="III")



# \}V[́A\PH
compareMachine <- rbind(yosokuMachine, sugoiMachine)
compareMachine$machine <- rep(c("normal", "sugoi"), each=4)
compareMachine

compareMachineTable <- xtabs(Freq ~ ., data=compareMachine)
compareMachineTable

modelCompare <- glm(
  Freq ~ (.)^3, data=compareMachine, family="poisson"
)
Anova(modelCompare, type="III")







